Bug 4259 - broken record for EHCI USB controllers
: broken record for EHCI USB controllers
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hwdatabase)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-29 18:36 by
Modified: 2012-03-16 13:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-29 18:36:30
/var/lib/hwdatabase/class:

00c     03      20      EHCI USB Controller
+driver 2.4|usb-ehci
+driver 2.6|ehci-hcd

Эта запись ошибочна - модуль для 2.4 тоже называется ehci-hcd.  Из-за этого с
новым hotplug не работает USB 2.0 на ядрах 2.4.x (кстати, есть машины, на
которых при незагруженном ehci-hcd не работает даже USB 1.1 из-за фокусов USB
Legacy Emulation в BIOS).
------- Comment #1 From 2004-05-31 10:49:42 -------
fixed (текущий CVS и hwdatabase > 0.1.1-alt1
------- Comment #2 From 2004-07-19 11:49:00 -------
# rpm -q hotplug hwdatabase
hotplug-2004_03_29-alt5
hwdatabase-0.1.2-alt1
# pciscan -v | grep -i usb
usb-uhci               Intel Corporation|USB Controller[UHCI USB Controller]
                       8086:24d2:1043:80a6  drivers: 2.4|usb-uhci 2.4|uhci
2.6|uhci-hcd usb-uhci  class:00c:03:00
usb-uhci               Intel Corporation|USB Controller[UHCI USB Controller]
                       8086:24d4:1043:80a6  drivers: 2.4|usb-uhci 2.4|uhci
2.6|uhci-hcd usb-uhci  class:00c:03:00
usb-uhci               Intel Corporation|USB Controller[UHCI USB Controller]
                       8086:24d7:1043:80a6  drivers: 2.4|usb-uhci 2.4|uhci
2.6|uhci-hcd usb-uhci  class:00c:03:00
usb-uhci               Intel Corp.|82801EB USB EHCI Controller #2[UHCI USB
Controller]
                       8086:24de:1043:80a6  drivers: 2.4|usb-uhci 2.4|uhci
2.6|uhci-hcd unknown  class:00c:03:00
usb-uhci               Intel Corporation|USB Enhanced Controller[EHCI USB
Controller]
                       8086:24dd:1043:80a6  drivers: ehci-hcd usb-uhci 
class:00c:03:20

ehci-hcd отсутствует...
------- Comment #3 From 2004-07-19 12:57:41 -------
Ну это немного не к этой баге, но все равно принято.
------- Comment #4 From 2004-08-20 12:54:37 -------
Исправлено в hwdatabase 0.1.3.
------- Comment #5 From 2004-09-06 02:03:40 -------
Да не исправлено ничего...  Опять сегодня нарвался...

# rpm -q hotplug hwdatabase
hotplug-2004_03_29-alt7
hwdatabase-0.1.3-alt1
# pciscan -v | grep -i usb
usb-uhci               Intel Corporation|USB Controller[UHCI USB Controller]
                       8086:24d2:1043:80a6  drivers: 2.4|usb-uhci 2.4|uhci
2.6|uhci-hcd usb-uhci  class:00c:03:00
usb-uhci               Intel Corporation|USB Controller[UHCI USB Controller]
                       8086:24d4:1043:80a6  drivers: 2.4|usb-uhci 2.4|uhci
2.6|uhci-hcd usb-uhci  class:00c:03:00
usb-uhci               Intel Corporation|USB Controller[UHCI USB Controller]
                       8086:24d7:1043:80a6  drivers: 2.4|usb-uhci 2.4|uhci
2.6|uhci-hcd usb-uhci  class:00c:03:00
usb-uhci               Intel Corp.|82801EB USB EHCI Controller #2[UHCI USB
Controller]
                       8086:24de:1043:80a6  drivers: 2.4|usb-uhci 2.4|uhci
2.6|uhci-hcd unknown  class:00c:03:00
usb-ehci               Intel Corporation|USB Enhanced Controller[EHCI USB
Controller]
                       8086:24dd:1043:80a6  drivers: ehci-hcd usb-ehci 
class:00c:03:20
------- Comment #6 From 2004-09-06 20:07:23 -------
Исправлено в 0.1.3.1
------- Comment #7 From 2004-09-10 21:46:02 -------
Yessss...

# pciscan -r -c 00c:03
usb-uhci
usb-uhci
usb-uhci
usb-uhci
ehci-hcd